// Palette.h: header file

#pragma once

static const unsigned char ColorPalette[][3] =
{
  {0xc9, 0xd7, 0x85},
  {0xc8, 0xd7, 0x85},
  {0xc4, 0xd4, 0x87},
  {0xbf, 0xd0, 0x8a},
  {0xb8, 0xcd, 0x8c},
  {0xb1, 0xc9, 0x8f},
  {0xac, 0xc6, 0x90},
  {0xa9, 0xc3, 0x90},
  {0xa7, 0xc3, 0x90},
  {0xa8, 0xc3, 0x91},
  {0xa8, 0xc3, 0x91},
  {0xa8, 0xc3, 0x92},
  {0xa8, 0xc3, 0x92},
  {0xa8, 0xc3, 0x94},
  {0xa8, 0xc3, 0x94},
  {0xa8, 0xc3, 0x95},
  {0xa8, 0xc3, 0x95},
  {0xa8, 0xc3, 0x96},
  {0xa8, 0xc3, 0x97},
  {0xa8, 0xc3, 0x98},
  {0xa8, 0xc3, 0x98},
  {0xa8, 0xc3, 0x99},
  {0xa8, 0xc3, 0x9a},
  {0xa8, 0xc3, 0x9b},
  {0xa8, 0xc3, 0x9c},
  {0xa8, 0xc4, 0x9d},
  {0xa9, 0xc4, 0x9e},
  {0xa9, 0xc4, 0x9f},
  {0xa9, 0xc4, 0xa0},
  {0xa9, 0xc4, 0xa1},
  {0xaa, 0xc5, 0xa2},
  {0xaa, 0xc5, 0xa3},
  {0xaa, 0xc6, 0xa4},
  {0xaa, 0xc6, 0xa5},
  {0xab, 0xc7, 0xa6},
  {0xab, 0xc7, 0xa6},
  {0xac, 0xc8, 0xa7},
  {0xac, 0xc8, 0xa7},
  {0xad, 0xc9, 0xa9},
  {0xad, 0xc9, 0xa9},
  {0xae, 0xca, 0xaa},
  {0xae, 0xca, 0xaa},
  {0xaf, 0xcb, 0xab},
  {0xaf, 0xcb, 0xac},
  {0xaf, 0xcb, 0xad},
  {0xaf, 0xcb, 0xad},
  {0xb0, 0xcc, 0xae},
  {0xb0, 0xcc, 0xaf},
  {0xb1, 0xcd, 0xaf},
  {0xb1, 0xcd, 0xb0},
  {0xb2, 0xce, 0xb0},
  {0xb2, 0xce, 0xb1},
  {0xb2, 0xce, 0xb1},
  {0xb2, 0xcf, 0xb1},
  {0xb2, 0xcf, 0xb1},
  {0xb3, 0xd0, 0xb2},
  {0xb3, 0xd0, 0xb2},
  {0xb3, 0xd0, 0xb2},
  {0xb3, 0xd0, 0xb2},
  {0xb4, 0xd1, 0xb3},
  {0xb4, 0xd1, 0xb3},
  {0xb4, 0xd1, 0xb3},
  {0xb4, 0xd2, 0xb3},
  {0xb5, 0xd2, 0xb4},
  {0xb5, 0xd2, 0xb4},
  {0xb5, 0xd2, 0xb4},
  {0xb5, 0xd2, 0xb4},
  {0xb5, 0xd3, 0xb5},
  {0xb5, 0xd3, 0xb5},
  {0xb4, 0xd3, 0xb5},
  {0xb4, 0xd3, 0xb5},
  {0xb4, 0xd4, 0xb5},
  {0xb4, 0xd4, 0xb5},
  {0xb4, 0xd4, 0xb5},
  {0xb4, 0xd4, 0xb5},
  {0xb4, 0xd4, 0xb5},
  {0xb4, 0xd5, 0xb5},
  {0xb4, 0xd5, 0xb5},
  {0xb3, 0xd5, 0xb5},
  {0xb3, 0xd5, 0xb5},
  {0xb3, 0xd5, 0xb5},
  {0xb3, 0xd5, 0xb5},
  {0xb2, 0xd5, 0xb4},
  {0xb2, 0xd5, 0xb4},
  {0xb2, 0xd6, 0xb4},
  {0xb2, 0xd6, 0xb4},
  {0xb1, 0xd6, 0xb4},
  {0xb1, 0xd6, 0xb4},
  {0xb1, 0xd6, 0xb4},
  {0xb1, 0xd6, 0xb4},
  {0xb0, 0xd6, 0xb3},
  {0xb0, 0xd6, 0xb3},
  {0xb0, 0xd7, 0xb3},
  {0xb0, 0xd7, 0xb3},
  {0xaf, 0xd7, 0xb3},
  {0xaf, 0xd7, 0xb3},
  {0xae, 0xd8, 0xb3},
  {0xae, 0xd8, 0xb3},
  {0xad, 0xd8, 0xb2},
  {0xad, 0xd8, 0xb2},
  {0xac, 0xd8, 0xb2},
  {0xac, 0xd9, 0xb2},
  {0xac, 0xd9, 0xb2},
  {0xab, 0xd9, 0xb1},
  {0xab, 0xd9, 0xb1},
  {0xaa, 0xda, 0xb1},
  {0xa9, 0xda, 0xb1},
  {0xa8, 0xda, 0xb1},
  {0xa8, 0xda, 0xb1},
  {0xa7, 0xdb, 0xb1},
  {0xa7, 0xdb, 0xb1},
  {0xa6, 0xdb, 0xb0},
  {0xa6, 0xdb, 0xb0},
  {0xa5, 0xdb, 0xb0},
  {0xa5, 0xdb, 0xb0},
  {0xa4, 0xdb, 0xaf},
  {0xa3, 0xdb, 0xaf},
  {0xa2, 0xdc, 0xaf},
  {0xa2, 0xdc, 0xaf},
  {0xa1, 0xdc, 0xaf},
  {0xa1, 0xdc, 0xaf},
  {0xa0, 0xdd, 0xaf},
  {0xa0, 0xdd, 0xaf},
  {0x9f, 0xdd, 0xae},
  {0x9e, 0xdd, 0xae},
  {0x9d, 0xde, 0xae},
  {0x9d, 0xde, 0xae},
  {0x9d, 0xde, 0xae},
  {0x9c, 0xde, 0xad},
  {0x9c, 0xde, 0xad},
  {0x9b, 0xde, 0xad},
  {0x9a, 0xde, 0xad},
  {0x99, 0xde, 0xac},
  {0x99, 0xde, 0xac},
  {0x98, 0xde, 0xac},
  {0x98, 0xde, 0xac},
  {0x97, 0xde, 0xab},
  {0x97, 0xde, 0xab},
  {0x96, 0xde, 0xab},
  {0x96, 0xde, 0xab},
  {0x95, 0xde, 0xaa},
  {0x94, 0xde, 0xaa},
  {0x93, 0xde, 0xaa},
  {0x93, 0xde, 0xaa},
  {0x92, 0xdd, 0xa9},
  {0x92, 0xdd, 0xa9},
  {0x91, 0xdd, 0xa8},
  {0x91, 0xdd, 0xa8},
  {0x90, 0xdc, 0xa7},
  {0x90, 0xdc, 0xa7},
  {0x90, 0xdc, 0xa7},
  {0x8f, 0xdc, 0xa6},
  {0x8e, 0xdc, 0xa5},
  {0x8e, 0xdb, 0xa4},
  {0x8e, 0xdb, 0xa4},
  {0x8e, 0xda, 0xa3},
  {0x8d, 0xda, 0xa3},
  {0x8d, 0xd9, 0xa2},
  {0x8c, 0xd9, 0xa2},
  {0x8c, 0xd9, 0xa1},
  {0x8c, 0xd9, 0xa0},
  {0x8b, 0xd8, 0x9f},
  {0x8b, 0xd8, 0x9f},
  {0x8b, 0xd7, 0x9e},
  {0x8b, 0xd7, 0x9e},
  {0x8a, 0xd6, 0x9d},
  {0x8a, 0xd5, 0x9c},
  {0x8a, 0xd4, 0x9b},
  {0x8a, 0xd4, 0x9a},
  {0x89, 0xd3, 0x99},
  {0x89, 0xd3, 0x98},
  {0x88, 0xd2, 0x97},
  {0x88, 0xd2, 0x97},
  {0x87, 0xd1, 0x96},
  {0x87, 0xd1, 0x95},
  {0x87, 0xd0, 0x94},
  {0x87, 0xd0, 0x93},
  {0x87, 0xd0, 0x92},
  {0x86, 0xcf, 0x91},
  {0x86, 0xcf, 0x90},
  {0x86, 0xce, 0x8f},
  {0x86, 0xce, 0x8e},
  {0x85, 0xcd, 0x8d},
  {0x85, 0xcd, 0x8c},
  {0x84, 0xcc, 0x8b},
  {0x84, 0xcc, 0x8a},
  {0x83, 0xcb, 0x89},
  {0x83, 0xcb, 0x88},
  {0x83, 0xca, 0x88},
  {0x83, 0xca, 0x87},
  {0x82, 0xc9, 0x86},
  {0x82, 0xc9, 0x85},
  {0x81, 0xc9, 0x84},
  {0x81, 0xc9, 0x83},
  {0x80, 0xc8, 0x82},
  {0x80, 0xc8, 0x81},
  {0x7f, 0xc7, 0x80},
  {0x7f, 0xc7, 0x7f},
  {0x7e, 0xc6, 0x7e},
  {0x7e, 0xc6, 0x7d},
  {0x7e, 0xc6, 0x7c},
  {0x7d, 0xc5, 0x7b},
  {0x7d, 0xc4, 0x7a},
  {0x7c, 0xc4, 0x79},
  {0x7c, 0xc4, 0x78},
  {0x7b, 0xc4, 0x77},
  {0x7a, 0xc4, 0x75},
  {0x79, 0xc3, 0x74},
  {0x79, 0xc3, 0x73},
  {0x78, 0xc2, 0x72},
  {0x78, 0xc2, 0x71},
  {0x77, 0xc1, 0x70},
  {0x77, 0xc1, 0x6e},
  {0x76, 0xc1, 0x6d},
  {0x76, 0xc1, 0x6d},
  {0x75, 0xc0, 0x6c},
  {0x74, 0xc0, 0x6b},
  {0x73, 0xc0, 0x6a},
  {0x73, 0xc0, 0x69},
  {0x72, 0xbf, 0x67},
  {0x72, 0xbf, 0x66},
  {0x71, 0xbf, 0x65},
  {0x71, 0xbf, 0x64},
  {0x70, 0xbf, 0x63},
  {0x70, 0xbf, 0x62},
  {0x70, 0xbf, 0x61},
  {0x6f, 0xbf, 0x60},
  {0x6f, 0xbf, 0x5f},
  {0x6e, 0xbe, 0x5e},
  {0x6e, 0xbe, 0x5d},
  {0x6d, 0xbe, 0x5c},
  {0x6d, 0xbe, 0x5b},
  {0x6c, 0xbe, 0x5a},
  {0x6c, 0xbe, 0x59},
  {0x6c, 0xbe, 0x58},
  {0x6c, 0xbe, 0x57},
  {0x6c, 0xbe, 0x56},
  {0x6c, 0xbe, 0x56},
  {0x6c, 0xbe, 0x55},
  {0x6c, 0xbe, 0x55},
  {0x6c, 0xbe, 0x54},
  {0x6c, 0xbe, 0x54},
  {0x6c, 0xbe, 0x53},
  {0x6c, 0xbe, 0x53},
  {0x6c, 0xbd, 0x52},
  {0x6c, 0xbd, 0x52},
  {0x6c, 0xbd, 0x52},
  {0x6c, 0xbd, 0x52},
  {0x6c, 0xbd, 0x51},
  {0x6c, 0xbd, 0x51},
  {0x6c, 0xbd, 0x51},
  {0x6c, 0xbd, 0x51},
  {0x6c, 0xbd, 0x51},
  {0x6c, 0xbd, 0x51},
  {0x6c, 0xbd, 0x51},
  {0x6d, 0xbd, 0x52},
  {0x6d, 0xbd, 0x52},
  {0x6d, 0xbd, 0x52},
  {0x6d, 0xbd, 0x52},
  {0x6e, 0xbd, 0x53},
  {0x6e, 0xbd, 0x53},
  {0x6e, 0xbd, 0x54},
  {0x6e, 0xbd, 0x54},
  {0x6f, 0xbd, 0x55},
  {0x6f, 0xbd, 0x55},
  {0x6f, 0xbd, 0x56},
  {0x6f, 0xbd, 0x56},
  {0x70, 0xbd, 0x57},
  {0x70, 0xbd, 0x58},
  {0x70, 0xbd, 0x59},
  {0x70, 0xbd, 0x59},
  {0x70, 0xbd, 0x5a},
  {0x70, 0xbd, 0x5b},
  {0x70, 0xbd, 0x5c},
  {0x70, 0xbd, 0x5c},
  {0x70, 0xbd, 0x5d},
  {0x71, 0xbd, 0x5e},
  {0x71, 0xbd, 0x5f},
  {0x71, 0xbd, 0x60},
  {0x71, 0xbd, 0x61},
  {0x72, 0xbd, 0x62},
  {0x72, 0xbd, 0x63},
  {0x72, 0xbd, 0x64},
  {0x72, 0xbd, 0x65},
  {0x73, 0xbe, 0x66},
  {0x73, 0xbe, 0x67},
  {0x73, 0xbe, 0x68},
  {0x73, 0xbe, 0x69},
  {0x74, 0xbe, 0x6a},
  {0x74, 0xbe, 0x6b},
  {0x74, 0xbe, 0x6c},
  {0x74, 0xbe, 0x6d},
  {0x74, 0xbf, 0x6e},
  {0x74, 0xbf, 0x6f},
  {0x74, 0xbf, 0x70},
  {0x74, 0xbf, 0x71},
  {0x75, 0xc0, 0x72},
  {0x75, 0xc0, 0x73},
  {0x75, 0xc0, 0x74},
  {0x75, 0xc0, 0x75},
  {0x75, 0xc0, 0x76},
  {0x75, 0xc1, 0x78},
  {0x75, 0xc1, 0x79},
  {0x75, 0xc1, 0x7a},
  {0x75, 0xc1, 0x7b},
  {0x75, 0xc1, 0x7d},
  {0x75, 0xc1, 0x7e},
  {0x75, 0xc1, 0x7f},
  {0x75, 0xc1, 0x80},
  {0x76, 0xc2, 0x82},
  {0x76, 0xc2, 0x83},
  {0x76, 0xc2, 0x84},
  {0x76, 0xc2, 0x85},
  {0x76, 0xc3, 0x85},
  {0x76, 0xc3, 0x86},
  {0x76, 0xc3, 0x87},
  {0x76, 0xc3, 0x88},
  {0x77, 0xc4, 0x8a},
  {0x77, 0xc4, 0x8b},
  {0x77, 0xc4, 0x8c},
  {0x77, 0xc4, 0x8d},
  {0x78, 0xc5, 0x8e},
  {0x78, 0xc5, 0x8f},
  {0x78, 0xc5, 0x90},
  {0x78, 0xc5, 0x91},
  {0x78, 0xc5, 0x93},
  {0x79, 0xc5, 0x94},
  {0x79, 0xc5, 0x95},
  {0x7a, 0xc5, 0x95},
  {0x7a, 0xc5, 0x96},
  {0x7b, 0xc6, 0x97},
  {0x7b, 0xc6, 0x98},
  {0x7c, 0xc6, 0x99},
  {0x7c, 0xc6, 0x9a},
  {0x7d, 0xc6, 0x9b},
  {0x7d, 0xc6, 0x9b},
  {0x7e, 0xc6, 0x9c},
  {0x7e, 0xc6, 0x9d},
  {0x7f, 0xc6, 0x9e},
  {0x7f, 0xc6, 0x9e},
  {0x80, 0xc6, 0x9f},
  {0x80, 0xc6, 0x9f},
  {0x81, 0xc7, 0xa0},
  {0x81, 0xc7, 0xa1},
  {0x82, 0xc7, 0xa2},
  {0x82, 0xc7, 0xa2},
  {0x83, 0xc7, 0xa3},
  {0x84, 0xc7, 0xa4},
  {0x85, 0xc7, 0xa5},
  {0x85, 0xc7, 0xa5},
  {0x86, 0xc7, 0xa6},
  {0x87, 0xc7, 0xa6},
  {0x87, 0xc7, 0xa6},
  {0x88, 0xc7, 0xa7},
  {0x89, 0xc7, 0xa7},
  {0x8a, 0xc7, 0xa8},
  {0x8a, 0xc7, 0xa8},
  {0x8b, 0xc7, 0xa8},
  {0x8c, 0xc7, 0xa8},
  {0x8d, 0xc8, 0xa9},
  {0x8d, 0xc8, 0xa9},
  {0x8e, 0xc8, 0xa9},
  {0x8e, 0xc8, 0xa9},
  {0x8f, 0xc8, 0xaa},
  {0x90, 0xc8, 0xaa},
  {0x91, 0xc8, 0xaa},
  {0x92, 0xc8, 0xaa},
  {0x93, 0xc8, 0xab},
  {0x94, 0xc8, 0xab},
  {0x95, 0xc8, 0xab},
  {0x96, 0xc8, 0xab},
  {0x97, 0xc8, 0xac},
  {0x98, 0xc8, 0xac},
  {0x99, 0xc8, 0xac},
  {0x99, 0xc8, 0xac},
  {0x9a, 0xc8, 0xac},
  {0x9b, 0xc9, 0xac},
  {0x9c, 0xc9, 0xac},
  {0x9d, 0xc9, 0xab},
  {0x9e, 0xc9, 0xab},
  {0x9f, 0xc9, 0xab},
  {0x9f, 0xc9, 0xab},
  {0xa0, 0xc9, 0xab},
  {0xa1, 0xc9, 0xab},
  {0xa2, 0xc9, 0xab},
  {0xa2, 0xc9, 0xab},
  {0xa3, 0xc9, 0xaa},
  {0xa3, 0xc9, 0xaa},
  {0xa4, 0xc9, 0xaa},
  {0xa5, 0xc9, 0xaa},
  {0xa6, 0xc9, 0xa9},
  {0xa7, 0xc9, 0xa9},
  {0xa8, 0xca, 0xa9},
  {0xa9, 0xca, 0xa9},
  {0xaa, 0xca, 0xa8},
  {0xaa, 0xca, 0xa8},
  {0xab, 0xcb, 0xa7},
  {0xac, 0xcb, 0xa7},
  {0xad, 0xcb, 0xa6},
  {0xad, 0xcb, 0xa6},
  {0xae, 0xcc, 0xa6},
  {0xaf, 0xcc, 0xa6},
  {0xaf, 0xcc, 0xa6},
  {0xb0, 0xcc, 0xa5},
  {0xb1, 0xcc, 0xa5},
  {0xb2, 0xcd, 0xa4},
  {0xb2, 0xcd, 0xa4},
  {0xb3, 0xcd, 0xa3},
  {0xb4, 0xcd, 0xa3},
  {0xb5, 0xce, 0xa2},
  {0xb5, 0xce, 0xa1},
  {0xb6, 0xce, 0xa0},
  {0xb6, 0xce, 0xa0},
  {0xb8, 0xcf, 0x9f},
  {0xb8, 0xcf, 0x9f},
  {0xb9, 0xd0, 0x9e},
  {0xb9, 0xd0, 0x9d},
  {0xba, 0xd1, 0x9c},
  {0xbb, 0xd1, 0x9c},
  {0xbc, 0xd1, 0x9b},
  {0xbc, 0xd1, 0x9a},
  {0xbd, 0xd2, 0x99},
  {0xbe, 0xd2, 0x99},
  {0xbf, 0xd2, 0x98},
  {0xbf, 0xd2, 0x97},
  {0xc0, 0xd2, 0x96},
  {0xc0, 0xd3, 0x96},
  {0xc0, 0xd3, 0x95},
  {0xc1, 0xd3, 0x94},
  {0xc2, 0xd3, 0x93},
  {0xc3, 0xd4, 0x92},
  {0xc3, 0xd4, 0x91},
  {0xc4, 0xd4, 0x90},
  {0xc4, 0xd4, 0x90},
  {0xc5, 0xd5, 0x8f},
  {0xc5, 0xd5, 0x8e},
  {0xc6, 0xd5, 0x8d},
  {0xc6, 0xd5, 0x8c},
  {0xc8, 0xd5, 0x8c},
  {0xc8, 0xd5, 0x8b},
  {0xc9, 0xd5, 0x8a},
  {0xc9, 0xd5, 0x89},
  {0xca, 0xd6, 0x88},
  {0xca, 0xd6, 0x87},
  {0xcb, 0xd6, 0x86},
  {0xcb, 0xd6, 0x85},
  {0xcc, 0xd6, 0x84},
  {0xcc, 0xd6, 0x83},
  {0xcd, 0xd6, 0x82},
  {0xcd, 0xd6, 0x81},
  {0xce, 0xd6, 0x80},
  {0xce, 0xd6, 0x7f},
  {0xce, 0xd6, 0x7e},
  {0xcf, 0xd6, 0x7d},
  {0xcf, 0xd6, 0x7c},
  {0xd0, 0xd7, 0x7b},
  {0xd0, 0xd7, 0x79},
  {0xd1, 0xd7, 0x78},
  {0xd1, 0xd7, 0x77},
  {0xd2, 0xd7, 0x76},
  {0xd2, 0xd7, 0x75},
  {0xd3, 0xd7, 0x74},
  {0xd3, 0xd7, 0x72},
  {0xd4, 0xd7, 0x71},
  {0xd4, 0xd7, 0x71},
  {0xd4, 0xd7, 0x70},
  {0xd4, 0xd7, 0x6f},
  {0xd5, 0xd7, 0x6e},
  {0xd5, 0xd7, 0x6d},
  {0xd6, 0xd7, 0x6b},
  {0xd6, 0xd7, 0x6a},
  {0xd7, 0xd7, 0x69},
  {0xd7, 0xd7, 0x68},
  {0xd7, 0xd7, 0x66},
  {0xd7, 0xd7, 0x65},
  {0xd8, 0xd7, 0x64},
  {0xd8, 0xd7, 0x63},
  {0xd8, 0xd7, 0x62},
  {0xd8, 0xd6, 0x61},
  {0xd8, 0xd6, 0x60},
  {0xd9, 0xd6, 0x5f},
  {0xd9, 0xd6, 0x5e},
  {0xd9, 0xd5, 0x5d},
  {0xd9, 0xd5, 0x5c},
  {0xd9, 0xd5, 0x5b},
  {0xd9, 0xd5, 0x5a},
  {0xd9, 0xd4, 0x59},
  {0xd9, 0xd4, 0x59},
  {0xda, 0xd4, 0x58},
  {0xda, 0xd4, 0x57},
  {0xda, 0xd3, 0x56},
  {0xda, 0xd3, 0x55},
  {0xda, 0xd3, 0x55},
  {0xda, 0xd3, 0x54},
  {0xda, 0xd2, 0x53},
  {0xda, 0xd2, 0x52},
  {0xda, 0xd1, 0x51},
  {0xda, 0xd1, 0x51},
  {0xda, 0xd0, 0x50},
  {0xda, 0xd0, 0x4f},
  {0xda, 0xd0, 0x4e},
  {0xdb, 0xd0, 0x4e},
  {0xdb, 0xd0, 0x4d},
  {0xdb, 0xcf, 0x4c},
  {0xdb, 0xcf, 0x4b},
  {0xdb, 0xcf, 0x4a},
  {0xdb, 0xcf, 0x49},
  {0xdb, 0xcf, 0x48},
  {0xdb, 0xcf, 0x48},
  {0xdb, 0xcf, 0x47},
  {0xdb, 0xcf, 0x46},
  {0xdb, 0xcf, 0x45},
  {0xdb, 0xcf, 0x45},
  {0xdc, 0xcf, 0x44},
  {0xdc, 0xcf, 0x44},
  {0xdc, 0xcf, 0x43},
  {0xdc, 0xcf, 0x42},
  {0xdd, 0xcf, 0x41},
  {0xdd, 0xcf, 0x41},
  {0xdd, 0xcf, 0x40},
  {0xdd, 0xcf, 0x3f},
  {0xdd, 0xd0, 0x3e},
  {0xdd, 0xd0, 0x3e},
  {0xdd, 0xd0, 0x3d},
  {0xdd, 0xd0, 0x3d},
  {0xde, 0xd0, 0x3d},
  {0xde, 0xd0, 0x3c},
  {0xde, 0xd0, 0x3b},
  {0xde, 0xd0, 0x3a},
  {0xde, 0xd0, 0x3a},
  {0xdf, 0xd0, 0x39},
  {0xdf, 0xd0, 0x39},
  {0xdf, 0xd0, 0x38},
  {0xdf, 0xd0, 0x38},
  {0xdf, 0xd0, 0x37},
  {0xdf, 0xd0, 0x37},
  {0xdf, 0xd0, 0x36},
  {0xdf, 0xd0, 0x36},
  {0xe0, 0xd0, 0x35},
  {0xe0, 0xd0, 0x35},
  {0xe0, 0xd0, 0x34},
  {0xe0, 0xd0, 0x34},
  {0xe1, 0xd0, 0x34},
  {0xe1, 0xd0, 0x34},
  {0xe1, 0xd0, 0x33},
  {0xe1, 0xd0, 0x33},
  {0xe1, 0xd0, 0x32},
  {0xe1, 0xd0, 0x32},
  {0xe1, 0xcf, 0x31},
  {0xe1, 0xcf, 0x31},
  {0xe2, 0xcf, 0x30},
  {0xe2, 0xcf, 0x30},
  {0xe2, 0xcf, 0x30},
  {0xe2, 0xcf, 0x2f},
  {0xe2, 0xcf, 0x2f},
  {0xe2, 0xcf, 0x2e},
  {0xe2, 0xcf, 0x2d},
  {0xe3, 0xcf, 0x2c},
  {0xe3, 0xcf, 0x2c},
  {0xe4, 0xcf, 0x2b},
  {0xe4, 0xcf, 0x2a},
  {0xe4, 0xcf, 0x29},
  {0xe4, 0xcf, 0x29},
  {0xe5, 0xcf, 0x28},
  {0xe5, 0xcf, 0x28},
  {0xe6, 0xcf, 0x27},
  {0xe6, 0xcf, 0x26},
  {0xe7, 0xd0, 0x25},
  {0xe7, 0xd0, 0x24},
  {0xe7, 0xd0, 0x23},
  {0xe7, 0xd0, 0x22},
  {0xe8, 0xd1, 0x21},
  {0xe8, 0xd1, 0x20},
  {0xe9, 0xd1, 0x1f},
  {0xe9, 0xd1, 0x1e},
  {0xea, 0xd2, 0x1d},
  {0xea, 0xd2, 0x1c},
  {0xea, 0xd2, 0x1b},
  {0xea, 0xd2, 0x1a},
  {0xea, 0xd2, 0x1a},
  {0xeb, 0xd2, 0x19},
  {0xeb, 0xd2, 0x18},
  {0xec, 0xd2, 0x17},
  {0xec, 0xd2, 0x17},
  {0xed, 0xd2, 0x16},
  {0xed, 0xd2, 0x16},
  {0xed, 0xd2, 0x15},
  {0xed, 0xd2, 0x15},
  {0xee, 0xd2, 0x14},
  {0xee, 0xd2, 0x14},
  {0xee, 0xd2, 0x13},
  {0xee, 0xd2, 0x13},
  {0xef, 0xd2, 0x12},
  {0xef, 0xd2, 0x12},
  {0xef, 0xd1, 0x11},
  {0xef, 0xd1, 0x11},
  {0xf0, 0xd1, 0x10},
  {0xf0, 0xd1, 0x10},
  {0xf0, 0xd0, 0x0f},
  {0xf0, 0xd0, 0x0f},
  {0xf0, 0xd0, 0x0f},
  {0xf1, 0xd0, 0x0f},
  {0xf1, 0xd0, 0x0f},
  {0xf1, 0xcf, 0x0e},
  {0xf1, 0xcf, 0x0e},
  {0xf2, 0xcf, 0x0e},
  {0xf2, 0xcf, 0x0e},
  {0xf2, 0xce, 0x0d},
  {0xf2, 0xce, 0x0d},
  {0xf3, 0xce, 0x0d},
  {0xf3, 0xce, 0x0d},
  {0xf3, 0xcd, 0x0c},
  {0xf3, 0xcd, 0x0c},
  {0xf4, 0xcc, 0x0c},
  {0xf4, 0xcc, 0x0c},
  {0xf4, 0xcb, 0x0b},
  {0xf4, 0xcb, 0x0b},
  {0xf5, 0xcb, 0x0a},
  {0xf5, 0xcb, 0x0a},
  {0xf5, 0xca, 0x09},
  {0xf5, 0xca, 0x09},
  {0xf6, 0xca, 0x09},
  {0xf6, 0xca, 0x09},
  {0xf6, 0xc9, 0x09},
  {0xf6, 0xc9, 0x08},
  {0xf6, 0xc9, 0x08},
  {0xf7, 0xc9, 0x07},
  {0xf7, 0xc9, 0x06},
  {0xf7, 0xc8, 0x06},
  {0xf7, 0xc8, 0x06},
  {0xf7, 0xc8, 0x06},
  {0xf7, 0xc8, 0x06},
  {0xf7, 0xc7, 0x05},
  {0xf7, 0xc7, 0x05},
  {0xf8, 0xc6, 0x04},
  {0xf8, 0xc6, 0x04},
  {0xf8, 0xc5, 0x03},
  {0xf8, 0xc5, 0x03},
  {0xf9, 0xc5, 0x03},
  {0xf9, 0xc5, 0x03},
  {0xf9, 0xc4, 0x02},
  {0xf9, 0xc4, 0x02},
  {0xfa, 0xc4, 0x02},
  {0xfa, 0xc4, 0x02},
  {0xfa, 0xc3, 0x01},
  {0xfa, 0xc3, 0x01},
  {0xfa, 0xc2, 0x01},
  {0xfa, 0xc2, 0x01},
  {0xfa, 0xc1, 0x00},
  {0xfa, 0xc1, 0x00},
  {0xfa, 0xc0, 0x00},
  {0xfa, 0xc0, 0x00},
  {0xfa, 0xc0, 0x00},
  {0xfa, 0xbf, 0x00},
  {0xfa, 0xbf, 0x00},
  {0xfa, 0xbe, 0x00},
  {0xfa, 0xbe, 0x00},
  {0xfa, 0xbd, 0x00},
  {0xfa, 0xbd, 0x00},
  {0xfa, 0xbc, 0x00},
  {0xfa, 0xbc, 0x00},
  {0xfa, 0xbb, 0x00},
  {0xfa, 0xbb, 0x00},
  {0xfa, 0xba, 0x00},
  {0xfa, 0xba, 0x00},
  {0xf9, 0xb9, 0x00},
  {0xf9, 0xb9, 0x00},
  {0xf9, 0xb8, 0x00},
  {0xf9, 0xb8, 0x00},
  {0xf9, 0xb7, 0x00},
  {0xf9, 0xb7, 0x00},
  {0xf9, 0xb6, 0x00},
  {0xf9, 0xb6, 0x00},
  {0xf8, 0xb5, 0x00},
  {0xf8, 0xb5, 0x00},
  {0xf8, 0xb4, 0x00},
  {0xf8, 0xb4, 0x00},
  {0xf8, 0xb4, 0x00},
  {0xf8, 0xb3, 0x00},
  {0xf8, 0xb3, 0x00},
  {0xf8, 0xb2, 0x00},
  {0xf8, 0xb2, 0x00},
  {0xf7, 0xb1, 0x00},
  {0xf7, 0xb1, 0x00},
  {0xf7, 0xb0, 0x00},
  {0xf7, 0xb0, 0x00},
  {0xf6, 0xaf, 0x00},
  {0xf6, 0xaf, 0x00},
  {0xf6, 0xae, 0x00},
  {0xf6, 0xae, 0x00},
  {0xf5, 0xad, 0x00},
  {0xf5, 0xad, 0x00},
  {0xf5, 0xac, 0x00},
  {0xf5, 0xac, 0x00},
  {0xf4, 0xab, 0x00},
  {0xf4, 0xab, 0x00},
  {0xf4, 0xaa, 0x00},
  {0xf4, 0xaa, 0x00},
  {0xf3, 0xa9, 0x00},
  {0xf3, 0xa9, 0x00},
  {0xf3, 0xa8, 0x00},
  {0xf3, 0xa8, 0x00},
  {0xf3, 0xa8, 0x00},
  {0xf2, 0xa7, 0x00},
  {0xf2, 0xa7, 0x00},
  {0xf1, 0xa6, 0x00},
  {0xf1, 0xa6, 0x00},
  {0xf0, 0xa5, 0x00},
  {0xf0, 0xa5, 0x00},
  {0xf0, 0xa5, 0x00},
  {0xf0, 0xa5, 0x00},
  {0xef, 0xa4, 0x00},
  {0xef, 0xa4, 0x00},
  {0xee, 0xa3, 0x00},
  {0xee, 0xa3, 0x00},
  {0xed, 0xa2, 0x00},
  {0xed, 0xa2, 0x00},
  {0xec, 0xa2, 0x00},
  {0xec, 0xa2, 0x00},
  {0xeb, 0xa1, 0x00},
  {0xeb, 0xa1, 0x00},
  {0xea, 0xa1, 0x00},
  {0xea, 0xa1, 0x00},
  {0xe9, 0xa0, 0x00},
  {0xe9, 0xa0, 0x00},
  {0xe8, 0xa0, 0x00},
  {0xe8, 0xa0, 0x00},
  {0xe8, 0xa0, 0x00},
  {0xe7, 0x9f, 0x00},
  {0xe7, 0x9f, 0x00},
  {0xe6, 0x9f, 0x00},
  {0xe5, 0x9f, 0x00},
  {0xe4, 0x9f, 0x00},
  {0xe4, 0x9f, 0x00},
  {0xe3, 0x9f, 0x00},
  {0xe3, 0x9f, 0x00},
  {0xe2, 0x9e, 0x00},
  {0xe2, 0x9e, 0x00},
  {0xe1, 0x9e, 0x00},
  {0xe1, 0x9e, 0x00},
  {0xe0, 0x9e, 0x00},
  {0xdf, 0x9e, 0x00},
  {0xde, 0x9e, 0x00},
  {0xde, 0x9e, 0x00},
  {0xdd, 0x9e, 0x00},
  {0xdd, 0x9e, 0x00},
  {0xdc, 0x9e, 0x00},
  {0xdc, 0x9e, 0x00},
  {0xdb, 0x9e, 0x00},
  {0xda, 0x9e, 0x00},
  {0xda, 0x9e, 0x00},
  {0xd9, 0x9e, 0x00},
  {0xd8, 0x9e, 0x00},
  {0xd7, 0x9e, 0x00},
  {0xd7, 0x9e, 0x00},
  {0xd6, 0x9e, 0x00},
  {0xd6, 0x9e, 0x00},
  {0xd5, 0x9e, 0x00},
  {0xd5, 0x9e, 0x00},
  {0xd4, 0x9e, 0x00},
  {0xd3, 0x9e, 0x00},
  {0xd2, 0x9e, 0x00},
  {0xd2, 0x9e, 0x00},
  {0xd1, 0x9e, 0x00},
  {0xd1, 0x9e, 0x00},
  {0xd0, 0x9e, 0x00},
  {0xcf, 0x9e, 0x00},
  {0xce, 0x9e, 0x00},
  {0xce, 0x9e, 0x00},
  {0xcd, 0x9e, 0x00},
  {0xcd, 0x9e, 0x00},
  {0xcc, 0x9e, 0x00},
  {0xcc, 0x9e, 0x00},
  {0xcb, 0x9e, 0x00},
  {0xca, 0x9e, 0x00},
  {0xc9, 0x9e, 0x00},
  {0xc9, 0x9e, 0x00},
  {0xc9, 0x9e, 0x00},
  {0xc8, 0x9e, 0x00},
  {0xc8, 0x9e, 0x00},
  {0xc7, 0x9e, 0x01},
  {0xc7, 0x9e, 0x01},
  {0xc6, 0x9e, 0x02},
  {0xc6, 0x9e, 0x02},
  {0xc5, 0x9e, 0x03},
  {0xc5, 0x9e, 0x03},
  {0xc4, 0x9e, 0x03},
  {0xc4, 0x9e, 0x03},
  {0xc4, 0x9e, 0x04},
  {0xc4, 0x9e, 0x04},
  {0xc3, 0x9e, 0x05},
  {0xc3, 0x9e, 0x05},
  {0xc2, 0x9e, 0x06},
  {0xc2, 0x9e, 0x06},
  {0xc1, 0x9e, 0x07},
  {0xc1, 0x9e, 0x07},
  {0xc1, 0x9e, 0x08},
  {0xc1, 0x9e, 0x09},
  {0xc0, 0x9e, 0x0a},
  {0xc0, 0x9e, 0x0b},
  {0xc0, 0x9e, 0x0c},
  {0xc0, 0x9f, 0x0d},
  {0xc0, 0x9f, 0x0e},
  {0xbf, 0x9f, 0x0f},
  {0xbf, 0x9f, 0x10},
  {0xbf, 0x9f, 0x11},
  {0xbf, 0x9f, 0x12},
  {0xbe, 0x9f, 0x13},
  {0xbe, 0x9f, 0x14},
  {0xbe, 0xa0, 0x15},
  {0xbe, 0xa0, 0x16},
  {0xbe, 0xa0, 0x16},
  {0xbe, 0xa0, 0x18},
  {0xbe, 0xa1, 0x19},
  {0xbe, 0xa1, 0x1a},
  {0xbe, 0xa1, 0x1b},
  {0xbe, 0xa1, 0x1c},
  {0xbe, 0xa2, 0x1e},
  {0xbe, 0xa2, 0x1f},
  {0xbe, 0xa2, 0x20},
  {0xbe, 0xa2, 0x21},
  {0xbe, 0xa3, 0x22},
  {0xbe, 0xa3, 0x23},
  {0xbe, 0xa4, 0x24},
  {0xbe, 0xa4, 0x25},
  {0xbe, 0xa5, 0x26},
  {0xbe, 0xa5, 0x28},
  {0xbe, 0xa5, 0x29},
  {0xbe, 0xa5, 0x2a},
  {0xbe, 0xa5, 0x2b},
  {0xbe, 0xa6, 0x2d},
  {0xbe, 0xa6, 0x2e},
  {0xbe, 0xa6, 0x2f},
  {0xbe, 0xa6, 0x30},
  {0xbe, 0xa7, 0x31},
  {0xbe, 0xa7, 0x32},
  {0xbe, 0xa7, 0x32},
  {0xbe, 0xa7, 0x34},
  {0xbf, 0xa8, 0x35},
  {0xbf, 0xa8, 0x37},
  {0xbf, 0xa9, 0x37},
  {0xbf, 0xa9, 0x38},
  {0xbf, 0xaa, 0x39},
  {0xbf, 0xaa, 0x3a},
  {0xbf, 0xaa, 0x3b},
  {0xbf, 0xaa, 0x3c},
  {0xc0, 0xab, 0x3e},
  {0xc0, 0xab, 0x3f},
  {0xc0, 0xac, 0x40},
  {0xc0, 0xac, 0x41},
  {0xc0, 0xac, 0x42},
  {0xc1, 0xad, 0x43},
  {0xc1, 0xad, 0x44},
  {0xc1, 0xae, 0x45},
  {0xc1, 0xae, 0x46},
  {0xc2, 0xaf, 0x47},
  {0xc2, 0xaf, 0x48},
  {0xc3, 0xb0, 0x49},
  {0xc3, 0xb0, 0x4a},
  {0xc4, 0xb1, 0x4b},
  {0xc4, 0xb1, 0x4c},
  {0xc4, 0xb1, 0x4d},
  {0xc4, 0xb1, 0x4e},
  {0xc5, 0xb2, 0x4e},
  {0xc5, 0xb2, 0x4f},
  {0xc6, 0xb3, 0x50},
  {0xc6, 0xb3, 0x51},
  {0xc7, 0xb4, 0x52},
  {0xc7, 0xb4, 0x53},
  {0xc7, 0xb5, 0x54},
  {0xc7, 0xb5, 0x55},
  {0xc8, 0xb6, 0x56},
  {0xc8, 0xb6, 0x57},
  {0xc9, 0xb6, 0x58},
  {0xc9, 0xb6, 0x59},
  {0xca, 0xb6, 0x5a},
  {0xca, 0xb7, 0x5b},
  {0xca, 0xb7, 0x5b},
  {0xca, 0xb8, 0x5c},
  {0xca, 0xb8, 0x5d},
  {0xcb, 0xb9, 0x5e},
  {0xcb, 0xb9, 0x5f},
  {0xcc, 0xb9, 0x60},
  {0xcc, 0xb9, 0x61},
  {0xcd, 0xba, 0x62},
  {0xcd, 0xba, 0x63},
  {0xce, 0xbb, 0x64},
  {0xce, 0xbb, 0x65},
  {0xcf, 0xbc, 0x66},
  {0xcf, 0xbc, 0x66},
  {0xcf, 0xbd, 0x67},
  {0xcf, 0xbd, 0x67},
  {0xd0, 0xbe, 0x68},
  {0xd0, 0xbe, 0x69},
  {0xd1, 0xbe, 0x6a},
  {0xd1, 0xbe, 0x6b},
  {0xd2, 0xbf, 0x6c},
  {0xd2, 0xbf, 0x6d},
  {0xd2, 0xbf, 0x6d},
  {0xd2, 0xbf, 0x6e},
  {0xd2, 0xbf, 0x6f},
  {0xd3, 0xc0, 0x70},
  {0xd3, 0xc0, 0x70},
  {0xd4, 0xc1, 0x71},
  {0xd4, 0xc1, 0x72},
  {0xd5, 0xc2, 0x73},
  {0xd5, 0xc2, 0x73},
  {0xd5, 0xc2, 0x74},
  {0xd5, 0xc2, 0x75},
  {0xd6, 0xc3, 0x76},
  {0xd6, 0xc3, 0x76},
  {0xd7, 0xc4, 0x77},
  {0xd7, 0xc4, 0x77},
  {0xd8, 0xc5, 0x79},
  {0xd8, 0xc5, 0x79},
  {0xd8, 0xc5, 0x7a},
  {0xd8, 0xc5, 0x7a},
  {0xd9, 0xc6, 0x7b},
  {0xd9, 0xc6, 0x7b},
  {0xd9, 0xc6, 0x7c},
  {0xd9, 0xc6, 0x7c},
  {0xda, 0xc7, 0x7d},
  {0xda, 0xc7, 0x7e},
  {0xdb, 0xc8, 0x7f},
  {0xdb, 0xc8, 0x7f},
  {0xdc, 0xc9, 0x80},
  {0xdc, 0xc9, 0x80},
  {0xdc, 0xc9, 0x80},
  {0xdc, 0xc9, 0x81},
  {0xdc, 0xc9, 0x81},
  {0xdd, 0xca, 0x82},
  {0xdd, 0xca, 0x82},
  {0xdd, 0xca, 0x83},
  {0xdd, 0xca, 0x83},
  {0xde, 0xcb, 0x84},
  {0xde, 0xcb, 0x84},
  {0xde, 0xcb, 0x85},
  {0xde, 0xcb, 0x85},
  {0xdf, 0xcc, 0x86},
  {0xdf, 0xcc, 0x86},
  {0xe0, 0xcc, 0x87},
  {0xe0, 0xcc, 0x87},
  {0xe1, 0xcd, 0x88},
  {0xe1, 0xcd, 0x88},
  {0xe1, 0xcd, 0x89},
  {0xe1, 0xcd, 0x89},
  {0xe2, 0xce, 0x8a},
  {0xe2, 0xce, 0x8a},
  {0xe2, 0xce, 0x8b},
  {0xe2, 0xce, 0x8b},
  {0xe2, 0xce, 0x8c},
  {0xe3, 0xcf, 0x8c},
  {0xe3, 0xcf, 0x8c},
  {0xe3, 0xcf, 0x8d},
  {0xe3, 0xd0, 0x8d},
  {0xe4, 0xd0, 0x8e},
  {0xe4, 0xd1, 0x8e},
  {0xe4, 0xd1, 0x8f},
  {0xe4, 0xd1, 0x8f},
  {0xe5, 0xd2, 0x90},
  {0xe5, 0xd2, 0x90},
  {0xe5, 0xd2, 0x90},
  {0xe5, 0xd2, 0x90},
  {0xe6, 0xd2, 0x91},
  {0xe6, 0xd2, 0x91},
  {0xe6, 0xd3, 0x92},
  {0xe6, 0xd3, 0x92},
  {0xe7, 0xd4, 0x93},
  {0xe7, 0xd4, 0x93},
  {0xe7, 0xd4, 0x94},
  {0xe7, 0xd4, 0x94},
  {0xe8, 0xd4, 0x95},
  {0xe8, 0xd4, 0x95},
  {0xe9, 0xd5, 0x96},
  {0xe9, 0xd5, 0x96},
  {0xea, 0xd6, 0x97},
  {0xea, 0xd6, 0x97},
  {0xea, 0xd6, 0x97},
  {0xea, 0xd6, 0x97},
  {0xea, 0xd6, 0x97},
  {0xea, 0xd6, 0x98},
  {0xeb, 0xd6, 0x98},
  {0xeb, 0xd6, 0x99},
  {0xeb, 0xd6, 0x99},
  {0xec, 0xd7, 0x9a},
  {0xec, 0xd7, 0x9a},
  {0xec, 0xd7, 0x9b},
  {0xec, 0xd7, 0x9b},
  {0xec, 0xd8, 0x9c},
  {0xec, 0xd8, 0x9c},
  {0xed, 0xd8, 0x9d},
  {0xed, 0xd8, 0x9d},
  {0xee, 0xd9, 0x9e},
  {0xee, 0xd9, 0x9e},
  {0xee, 0xd9, 0x9e},
  {0xee, 0xd9, 0x9e},
  {0xee, 0xda, 0x9f},
  {0xee, 0xda, 0x9f},
  {0xef, 0xda, 0xa0},
  {0xef, 0xda, 0xa0},
  {0xf0, 0xda, 0xa0},
  {0xf0, 0xdb, 0xa1},
  {0xf0, 0xdb, 0xa1},
  {0xf0, 0xdb, 0xa2},
  {0xf0, 0xdb, 0xa2},
  {0xf0, 0xdc, 0xa3},
  {0xf0, 0xdc, 0xa3},
  {0xf1, 0xdc, 0xa3},
  {0xf1, 0xdc, 0xa3},
  {0xf2, 0xdd, 0xa4},
  {0xf2, 0xdd, 0xa4},
  {0xf2, 0xdd, 0xa5},
  {0xf2, 0xdd, 0xa5},
  {0xf2, 0xde, 0xa6},
  {0xf2, 0xde, 0xa6},
  {0xf2, 0xde, 0xa6},
  {0xf2, 0xde, 0xa6},
  {0xf3, 0xdf, 0xa7},
  {0xf3, 0xdf, 0xa7},
  {0xf3, 0xdf, 0xa7},
  {0xf3, 0xdf, 0xa7},
  {0xf4, 0xdf, 0xa8},
  {0xf4, 0xdf, 0xa8},
  {0xf4, 0xdf, 0xa9},
  {0xf4, 0xdf, 0xa9},
  {0xf4, 0xe0, 0xaa},
  {0xf5, 0xe0, 0xaa},
  {0xf5, 0xe0, 0xaa},
  {0xf5, 0xe0, 0xaa},
  {0xf5, 0xe0, 0xaa},
  {0xf6, 0xe1, 0xab},
  {0xf6, 0xe1, 0xab},
  {0xf6, 0xe1, 0xab},
  {0xf6, 0xe1, 0xab},
  {0xf7, 0xe2, 0xac},
  {0xf7, 0xe2, 0xac},
  {0xf7, 0xe2, 0xac},
  {0xf7, 0xe2, 0xac},
  {0xf8, 0xe3, 0xad},
  {0xf8, 0xe3, 0xad},
  {0xf8, 0xe3, 0xad},
  {0xf8, 0xe3, 0xad},
  {0xf8, 0xe3, 0xae},
  {0xf8, 0xe3, 0xae},
  {0xf8, 0xe3, 0xae},
  {0xf8, 0xe3, 0xae},
  {0xf9, 0xe4, 0xaf},
  {0xf9, 0xe4, 0xaf},
  {0xf9, 0xe4, 0xaf},
  {0xf9, 0xe4, 0xaf},
  {0xf9, 0xe4, 0xaf},
  {0xf9, 0xe4, 0xb0},
  {0xf9, 0xe4, 0xb0},
  {0xf9, 0xe4, 0xb0},
  {0xf9, 0xe4, 0xb1},
  {0xf9, 0xe5, 0xb1},
  {0xf9, 0xe5, 0xb2},
  {0xf9, 0xe5, 0xb2},
  {0xf9, 0xe5, 0xb2},
  {0xfa, 0xe6, 0xb3},
  {0xfa, 0xe6, 0xb3},
  {0xfa, 0xe6, 0xb3},
  {0xfa, 0xe6, 0xb3},
  {0xfa, 0xe6, 0xb4},
  {0xfa, 0xe6, 0xb4},
  {0xfa, 0xe6, 0xb4},
  {0xfa, 0xe6, 0xb4},
  {0xfa, 0xe7, 0xb5},
  {0xfa, 0xe7, 0xb5},
  {0xfa, 0xe7, 0xb5},
  {0xfa, 0xe7, 0xb5},
  {0xfa, 0xe7, 0xb6},
  {0xfa, 0xe7, 0xb6},
  {0xfa, 0xe7, 0xb6},
  {0xfa, 0xe7, 0xb6},
  {0xfa, 0xe8, 0xb6},
  {0xfb, 0xe8, 0xb7},
  {0xfb, 0xe8, 0xb7},
  {0xfb, 0xe8, 0xb7},
  {0xfb, 0xe8, 0xb7},
  {0xfb, 0xe8, 0xb8},
  {0xfb, 0xe8, 0xb8},
  {0xfb, 0xe8, 0xb9},
  {0xfb, 0xe8, 0xb9},
  {0xfb, 0xe9, 0xba},
  {0xfb, 0xe9, 0xba},
  {0xfb, 0xe9, 0xba},
  {0xfb, 0xe9, 0xba},
  {0xfb, 0xea, 0xbb},
  {0xfb, 0xea, 0xbb},
  {0xfb, 0xea, 0xbc},
  {0xfb, 0xea, 0xbc},
  {0xfb, 0xeb, 0xbd},
  {0xfb, 0xeb, 0xbd},
  {0xfb, 0xeb, 0xbd},
  {0xfb, 0xeb, 0xbd},
  {0xfb, 0xeb, 0xbe},
  {0xfb, 0xeb, 0xbe},
  {0xfb, 0xeb, 0xbf},
  {0xfb, 0xeb, 0xbf},
  {0xfc, 0xec, 0xc0},
  {0xfc, 0xec, 0xc0},
  {0xfc, 0xec, 0xc0},
  {0xfc, 0xec, 0xc0},
  {0xfc, 0xec, 0xc0},
  {0xfc, 0xed, 0xc1},
  {0xfc, 0xed, 0xc1},
  {0xfc, 0xed, 0xc2},
  {0xfc, 0xed, 0xc2},
  {0xfc, 0xee, 0xc3},
  {0xfc, 0xee, 0xc3},
  {0xfc, 0xee, 0xc4},
  {0xfc, 0xee, 0xc4},
  {0xfc, 0xef, 0xc5},
  {0xfc, 0xef, 0xc5},
  {0xfc, 0xef, 0xc6},
  {0xfc, 0xef, 0xc6},
  {0xfc, 0xf0, 0xc7},
  {0xfc, 0xf0, 0xc7},
  {0xfc, 0xf0, 0xc7},
  {0xfc, 0xf0, 0xc7},
  {0xfc, 0xf0, 0xc8},
  {0xfc, 0xf0, 0xc8},
  {0xfc, 0xf0, 0xc9},
  {0xfc, 0xf0, 0xc9},
  {0xfc, 0xf0, 0xca},
  {0xfc, 0xf1, 0xca},
  {0xfc, 0xf1, 0xca},
  {0xfc, 0xf1, 0xcb},
  {0xfc, 0xf1, 0xcb},
  {0xfc, 0xf2, 0xcc},
  {0xfc, 0xf2, 0xcc},
  {0xfc, 0xf2, 0xcd},
  {0xfc, 0xf2, 0xcd},
  {0xfc, 0xf3, 0xce},
  {0xfc, 0xf3, 0xce},
  {0xfc, 0xf3, 0xcf},
  {0xfc, 0xf3, 0xcf},
  {0xfc, 0xf4, 0xd0},
  {0xfc, 0xf4, 0xd0},
  {0xfc, 0xf4, 0xd1},
  {0xfc, 0xf4, 0xd1},
  {0xfc, 0xf5, 0xd2},
  {0xfc, 0xf5, 0xd2},
  {0xfb, 0xf5, 0xd3},
  {0xfb, 0xf5, 0xd3},
  {0xfb, 0xf5, 0xd4},
  {0xfb, 0xf5, 0xd4},
  {0xfb, 0xf5, 0xd5},
  {0xfb, 0xf5, 0xd5},
  {0xfb, 0xf6, 0xd6},
  {0xfb, 0xf6, 0xd6},
  {0xfb, 0xf6, 0xd6},
  {0xfb, 0xf6, 0xd6},
  {0xfb, 0xf6, 0xd6},
  {0xfb, 0xf7, 0xd7},
  {0xfb, 0xf7, 0xd7},
  {0xfb, 0xf7, 0xd8},
  {0xfb, 0xf7, 0xd8},
  {0xfb, 0xf7, 0xd9},
  {0xfb, 0xf7, 0xd9},
  {0xfa, 0xf7, 0xda},
  {0xfa, 0xf7, 0xda},
  {0xfa, 0xf8, 0xdb},
  {0xfa, 0xf8, 0xdb},
  {0xfa, 0xf8, 0xdc},
  {0xfa, 0xf8, 0xdc},
  {0xfa, 0xf8, 0xdd},
  {0xfa, 0xf8, 0xdd},
  {0xfa, 0xf8, 0xde},
  {0xfa, 0xf8, 0xde},
  {0xfa, 0xf8, 0xdf},
  {0xfa, 0xf8, 0xdf},
  {0xfa, 0xf8, 0xdf},
  {0xfa, 0xf8, 0xdf},
  {0xfa, 0xf8, 0xdf},
  {0xfa, 0xf9, 0xe0},
  {0xfa, 0xf9, 0xe0},
  {0xf9, 0xf9, 0xe1},
  {0xf9, 0xf9, 0xe1},
  {0xf9, 0xf9, 0xe2},
  {0xf9, 0xf9, 0xe2},
  {0xf9, 0xf9, 0xe2},
  {0xf9, 0xf9, 0xe2},
  {0xf9, 0xf9, 0xe3},
  {0xf9, 0xf9, 0xe3},
  {0xf9, 0xf9, 0xe4},
  {0xf9, 0xf9, 0xe4},
  {0xf9, 0xf9, 0xe5},
  {0xf9, 0xf9, 0xe5},
  {0xf9, 0xf9, 0xe6},
  {0xf9, 0xf9, 0xe6},
  {0xf9, 0xfa, 0xe7},
  {0xf9, 0xfa, 0xe7},
  {0xf8, 0xfa, 0xe7},
  {0xf8, 0xfa, 0xe7},
  {0xf8, 0xfa, 0xe8},
  {0xf8, 0xfa, 0xe8},
  {0xf8, 0xfa, 0xe8},
  {0xf8, 0xfa, 0xe8},
  {0xf8, 0xfa, 0xe8},
  {0xf8, 0xfa, 0xe9},
  {0xf8, 0xfa, 0xe9},
  {0xf8, 0xfa, 0xea},
  {0xf8, 0xfa, 0xea},
  {0xf8, 0xfa, 0xeb},
  {0xf8, 0xfa, 0xeb},
  {0xf7, 0xfa, 0xeb},
  {0xf7, 0xfa, 0xeb},
  {0xf7, 0xfb, 0xec},
  {0xf7, 0xfb, 0xec},
  {0xf7, 0xfb, 0xec},
  {0xf7, 0xfb, 0xec},
  {0xf7, 0xfb, 0xed},
  {0xf7, 0xfb, 0xed},
  {0xf6, 0xfb, 0xed},
  {0xf6, 0xfb, 0xed},
  {0xf6, 0xfb, 0xee},
  {0xf6, 0xfb, 0xee},
  {0xf6, 0xfb, 0xee},
  {0xf6, 0xfb, 0xee},
  {0xf6, 0xfb, 0xef},
  {0xf6, 0xfb, 0xef},
  {0xf5, 0xfb, 0xf0},
  {0xf5, 0xfb, 0xf0},
  {0xf5, 0xfc, 0xf1},
  {0xf5, 0xfc, 0xf1},
  {0xf5, 0xfc, 0xf1},
  {0xf5, 0xfc, 0xf1},
  {0xf5, 0xfc, 0xf1},
  {0xf5, 0xfc, 0xf1},
  {0xf5, 0xfc, 0xf1},
  {0xf4, 0xfc, 0xf1},
  {0xf4, 0xfc, 0xf1},
  {0xf4, 0xfc, 0xf2},
  {0xf4, 0xfc, 0xf2},
  {0xf3, 0xfc, 0xf2},
  {0xf3, 0xfc, 0xf2},
  {0xf3, 0xfc, 0xf3},
  {0xf3, 0xfc, 0xf3},
  {0xf2, 0xfc, 0xf3},
  {0xf2, 0xfc, 0xf3},
  {0xf2, 0xfd, 0xf4},
  {0xf2, 0xfd, 0xf4},
  {0xf1, 0xfd, 0xf4},
  {0xf1, 0xfd, 0xf4},
  {0xf1, 0xfd, 0xf5},
  {0xf1, 0xfd, 0xf5},
  {0xf0, 0xfd, 0xf5},
  {0xf0, 0xfd, 0xf5},
  {0xf0, 0xfd, 0xf5},
  {0xf0, 0xfd, 0xf5},
  {0xf0, 0xfd, 0xf5},
  {0xef, 0xfd, 0xf5},
  {0xef, 0xfd, 0xf5},
  {0xef, 0xfd, 0xf6},
  {0xef, 0xfd, 0xf6},
  {0xef, 0xfd, 0xf6},
  {0xef, 0xfd, 0xf6},
  {0xef, 0xfd, 0xf7},
  {0xef, 0xfd, 0xf7},
  {0xee, 0xfd, 0xf7},
  {0xee, 0xfd, 0xf7},
  {0xed, 0xfd, 0xf7},
  {0xed, 0xfd, 0xf7},
  {0xed, 0xfd, 0xf7},
  {0xed, 0xfd, 0xf7},
  {0xed, 0xfd, 0xf7},
  {0xed, 0xfd, 0xf7},
  {0xec, 0xfd, 0xf7},
  {0xec, 0xfd, 0xf7},
  {0xec, 0xfd, 0xf8},
  {0xeb, 0xfd, 0xf8},
  {0xeb, 0xfd, 0xf8},
  {0xeb, 0xfd, 0xf8},
  {0xeb, 0xfe, 0xf8},
  {0xeb, 0xfe, 0xf8},
  {0xeb, 0xfe, 0xf8},
  {0xea, 0xfe, 0xf8},
  {0xea, 0xfe, 0xf8},
  {0xe9, 0xfe, 0xf9},
  {0xe9, 0xfe, 0xf9},
  {0xe9, 0xfe, 0xf9},
  {0xe9, 0xfe, 0xf9},
  {0xe9, 0xfe, 0xf9},
  {0xe9, 0xfe, 0xf9},
  {0xe8, 0xfe, 0xf9},
  {0xe8, 0xfe, 0xf9},
  {0xe8, 0xfe, 0xf9},
  {0xe7, 0xfe, 0xf9},
  {0xe7, 0xfe, 0xf9},
  {0xe7, 0xfe, 0xf9},
  {0xe7, 0xfe, 0xfa},
  {0xe7, 0xfe, 0xfa},
  {0xe6, 0xfe, 0xfa},
  {0xe6, 0xfe, 0xfa},
  {0xe6, 0xfe, 0xfa},
  {0xe6, 0xfe, 0xfa},
  {0xe5, 0xfe, 0xfa},
  {0xe5, 0xfe, 0xfa},
  {0xe5, 0xfe, 0xfa},
  {0xe5, 0xfe, 0xfa},
  {0xe5, 0xfe, 0xfa},
  {0xe4, 0xfe, 0xfa},
  {0xe4, 0xfe, 0xfa},
  {0xe4, 0xfe, 0xfa},
  {0xe4, 0xfe, 0xfa},
  {0xe3, 0xfe, 0xfa},
  {0xe3, 0xfe, 0xfa},
  {0xe3, 0xfe, 0xfa},
  {0xe3, 0xfe, 0xfa},
  {0xe2, 0xfe, 0xfa},
  {0xe2, 0xfe, 0xfa},
  {0xe2, 0xfe, 0xfa},
  {0xe2, 0xfe, 0xfa},
  {0xe1, 0xfe, 0xfa},
  {0xe1, 0xfe, 0xfa},
  {0xe1, 0xfe, 0xfb},
  {0xe1, 0xfe, 0xfb},
  {0xe0, 0xfe, 0xfb},
  {0xe0, 0xfe, 0xfb},
  {0xe0, 0xfe, 0xfb},
  {0xe0, 0xfe, 0xfb},
  {0xdf, 0xfe, 0xfb},
  {0xdf, 0xfe, 0xfb},
  {0xdf, 0xfe, 0xfb},
  {0xdf, 0xff, 0xfb},
  {0xdf, 0xff, 0xfb},
  {0xde, 0xff, 0xfb},
  {0xde, 0xff, 0xfb},
  {0xde, 0xff, 0xfb},
  {0xde, 0xff, 0xfb},
  {0xde, 0xff, 0xfb},
  {0xde, 0xff, 0xfb},
  {0xde, 0xff, 0xfb},
  {0xde, 0xff, 0xfb},
  {0xdd, 0xff, 0xfb},
  {0xdd, 0xff, 0xfb},
  {0xdd, 0xff, 0xfb},
  {0xdd, 0xff, 0xfb},
  {0xdc, 0xff, 0xfb},
  {0xdc, 0xff, 0xfb},
  {0xdc, 0xff, 0xfc},
  {0xdc, 0xff, 0xfc},
  {0xdc, 0xff, 0xfc},
  {0xdc, 0xff, 0xfc},
  {0xdc, 0xff, 0xfc},
  {0xdc, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfc},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfd},
  {0xdb, 0xff, 0xfe},
  {0xdb, 0xff, 0xfe},
  {0xdb, 0xff, 0xfe},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xdb, 0xfe, 0xfd},
  {0xda, 0xfd, 0xfd},
  {0xda, 0xfd, 0xfd},
  {0xda, 0xfd, 0xfd},
  {0xda, 0xfd, 0xfd},
  {0xda, 0xfd, 0xfd},
  {0xda, 0xfd, 0xfd},
  {0xda, 0xfd, 0xfd},
  {0xda, 0xfd, 0xfd},
  {0xda, 0xfd, 0xfc},
  {0xda, 0xfd, 0xfc},
  {0xda, 0xfd, 0xfc},
  {0xda, 0xfd, 0xfc},
  {0xd9, 0xfd, 0xfc},
  {0xd9, 0xfd, 0xfc},
  {0xd9, 0xfd, 0xfc},
  {0xd9, 0xfd, 0xfc},
  {0xd9, 0xfd, 0xfc},
  {0xd9, 0xfc, 0xfc},
  {0xd9, 0xfc, 0xfc},
  {0xd9, 0xfc, 0xfc},
  {0xd9, 0xfc, 0xfc},
  {0xd8, 0xfc, 0xfc},
  {0xd8, 0xfc, 0xfc},
  {0xd8, 0xfc, 0xfc},
  {0xd8, 0xfc, 0xfc},
  {0xd8, 0xfc, 0xfc},
  {0xd8, 0xfc, 0xfc},
  {0xd8, 0xfc, 0xfc},
  {0xd8, 0xfc, 0xfc},
  {0xd7, 0xfc, 0xfc},
  {0xd7, 0xfc, 0xfc},
  {0xd7, 0xfc, 0xfc},
  {0xd7, 0xfc, 0xfc},
  {0xd7, 0xfb, 0xfc},
  {0xd7, 0xfb, 0xfc},
  {0xd7, 0xfb, 0xfc},
  {0xd7, 0xfb, 0xfc},
  {0xd6, 0xfb, 0xfc},
  {0xd6, 0xfb, 0xfc},
  {0xd6, 0xfb, 0xfc},
  {0xd6, 0xfb, 0xfc},
  {0xd6, 0xfb, 0xfc},
  {0xd5, 0xfb, 0xfb},
  {0xd5, 0xfb, 0xfb},
  {0xd5, 0xfb, 0xfb},
  {0xd5, 0xfb, 0xfb},
  {0xd5, 0xfb, 0xfb},
  {0xd5, 0xfb, 0xfb},
  {0xd5, 0xfb, 0xfb},
  {0xd5, 0xfb, 0xfb},
  {0xd4, 0xfb, 0xfb},
  {0xd4, 0xfb, 0xfb},
  {0xd4, 0xfb, 0xfb},
  {0xd4, 0xfb, 0xfb},
  {0xd3, 0xfb, 0xfb},
  {0xd3, 0xfb, 0xfb},
  {0xd3, 0xfb, 0xfb},
  {0xd3, 0xfb, 0xfb},
  {0xd2, 0xfa, 0xfb},
  {0xd2, 0xfa, 0xfb},
  {0xd2, 0xfa, 0xfb},
  {0xd2, 0xfa, 0xfb},
  {0xd2, 0xfa, 0xfb},
  {0xd2, 0xfa, 0xfb},
  {0xd2, 0xfa, 0xfb},
  {0xd2, 0xfa, 0xfb},
  {0xd2, 0xfa, 0xfb},
  {0xd1, 0xfa, 0xfb},
  {0xd1, 0xfa, 0xfb},
  {0xd1, 0xfa, 0xfb},
  {0xd1, 0xfa, 0xfb},
  {0xd0, 0xfa, 0xfb},
  {0xd0, 0xfa, 0xfb},
  {0xd0, 0xfa, 0xfb},
  {0xd0, 0xfa, 0xfb},
  {0xcf, 0xfa, 0xfa},
  {0xcf, 0xfa, 0xfa},
  {0xcf, 0xfa, 0xfa},
  {0xcf, 0xfa, 0xfa},
  {0xce, 0xfa, 0xfa},
  {0xce, 0xfa, 0xfa},
  {0xce, 0xfa, 0xfa},
  {0xce, 0xfa, 0xfa},
  {0xcd, 0xf9, 0xfa},
  {0xcd, 0xf9, 0xfa},
  {0xcd, 0xf9, 0xfa},
  {0xcd, 0xf9, 0xfa},
  {0xcc, 0xf9, 0xfa},
  {0xcc, 0xf9, 0xfa},
  {0xcc, 0xf9, 0xfa},
  {0xcc, 0xf9, 0xfa},
  {0xcc, 0xf9, 0xfa},
  {0xcb, 0xf9, 0xfa},
  {0xcb, 0xf9, 0xfa},
  {0xcb, 0xf9, 0xfa},
  {0xcb, 0xf9, 0xfa},
  {0xca, 0xf8, 0xfa},
  {0xca, 0xf8, 0xfa},
  {0xc9, 0xf8, 0xfa},
  {0xc9, 0xf8, 0xfa},
  {0xc8, 0xf8, 0xf9},
  {0xc8, 0xf8, 0xf9},
  {0xc8, 0xf8, 0xf9},
  {0xc8, 0xf8, 0xf9},
  {0xc7, 0xf8, 0xf9},
  {0xc7, 0xf8, 0xf9},
  {0xc6, 0xf8, 0xf9},
  {0xc6, 0xf8, 0xf9},
  {0xc5, 0xf7, 0xf9},
  {0xc5, 0xf7, 0xf9},
  {0xc5, 0xf7, 0xf9},
  {0xc5, 0xf7, 0xf9},
  {0xc5, 0xf7, 0xf9},
  {0xc4, 0xf7, 0xf9},
  {0xc4, 0xf7, 0xf9},
  {0xc3, 0xf7, 0xf9},
  {0xc2, 0xf7, 0xf9},
  {0xc2, 0xf6, 0xf8},
  {0xc2, 0xf6, 0xf8},
  {0xc2, 0xf6, 0xf8},
  {0xc2, 0xf6, 0xf8},
  {0xc1, 0xf6, 0xf8},
  {0xc1, 0xf6, 0xf8},
  {0xc0, 0xf6, 0xf8},
  {0xc0, 0xf6, 0xf8},
  {0xbf, 0xf6, 0xf8},
  {0xbf, 0xf6, 0xf8},
  {0xbe, 0xf6, 0xf8},
  {0xbe, 0xf6, 0xf8},
  {0xbd, 0xf5, 0xf8},
  {0xbd, 0xf5, 0xf8},
  {0xbc, 0xf5, 0xf8},
  {0xbc, 0xf5, 0xf8},
  {0xbb, 0xf5, 0xf7},
  {0xbb, 0xf5, 0xf7},
  {0xba, 0xf5, 0xf7},
  {0xba, 0xf5, 0xf7},
  {0xb9, 0xf4, 0xf7},
  {0xb9, 0xf4, 0xf7},
  {0xb8, 0xf4, 0xf7},
  {0xb8, 0xf4, 0xf7},
  {0xb8, 0xf4, 0xf7},
  {0xb7, 0xf4, 0xf7},
  {0xb7, 0xf4, 0xf7},
  {0xb6, 0xf4, 0xf7},
  {0xb6, 0xf4, 0xf7},
  {0xb5, 0xf4, 0xf7},
  {0xb5, 0xf4, 0xf7},
  {0xb4, 0xf4, 0xf7},
  {0xb4, 0xf4, 0xf7},
  {0xb3, 0xf3, 0xf6},
  {0xb3, 0xf3, 0xf6},
  {0xb2, 0xf3, 0xf6},
  {0xb2, 0xf3, 0xf6},
  {0xb1, 0xf2, 0xf6},
  {0xb0, 0xf2, 0xf6},
  {0xaf, 0xf2, 0xf6},
  {0xaf, 0xf2, 0xf6},
  {0xae, 0xf2, 0xf6},
  {0xae, 0xf2, 0xf6},
  {0xad, 0xf2, 0xf6},
  {0xad, 0xf2, 0xf6},
  {0xac, 0xf1, 0xf6},
  {0xac, 0xf1, 0xf6},
  {0xac, 0xf1, 0xf6},
  {0xab, 0xf1, 0xf6},
  {0xaa, 0xf1, 0xf6},
  {0xa9, 0xf1, 0xf5},
  {0xa9, 0xf1, 0xf5},
  {0xa8, 0xf1, 0xf5},
  {0xa7, 0xf1, 0xf5},
  {0xa6, 0xf0, 0xf5},
  {0xa6, 0xf0, 0xf5},
  {0xa5, 0xf0, 0xf5},
  {0xa5, 0xf0, 0xf5},
  {0xa4, 0xef, 0xf5},
  {0xa4, 0xef, 0xf5},
  {0xa3, 0xef, 0xf5},
  {0xa3, 0xef, 0xf5},
  {0xa2, 0xef, 0xf5},
  {0xa1, 0xef, 0xf5},
  {0xa0, 0xef, 0xf5},
  {0xa0, 0xef, 0xf5},
  {0x9f, 0xee, 0xf4},
  {0x9f, 0xee, 0xf4},
  {0x9e, 0xee, 0xf4},
  {0x9e, 0xee, 0xf4},
  {0x9d, 0xed, 0xf4},
  {0x9c, 0xed, 0xf4},
  {0x9c, 0xed, 0xf4},
  {0x9b, 0xed, 0xf4},
  {0x9a, 0xed, 0xf4},
  {0x99, 0xec, 0xf4},
  {0x99, 0xec, 0xf4},
  {0x98, 0xec, 0xf4},
  {0x97, 0xec, 0xf4},
  {0x96, 0xeb, 0xf4},
  {0x96, 0xeb, 0xf4},
  {0x95, 0xeb, 0xf4},
  {0x94, 0xeb, 0xf4},
  {0x93, 0xea, 0xf3},
  {0x93, 0xea, 0xf3},
  {0x92, 0xea, 0xf3},
  {0x92, 0xea, 0xf3},
  {0x91, 0xe9, 0xf3},
  {0x90, 0xe9, 0xf3},
  {0x8f, 0xe9, 0xf3},
  {0x8f, 0xe9, 0xf3},
  {0x8e, 0xe8, 0xf3},
  {0x8d, 0xe8, 0xf3},
  {0x8c, 0xe8, 0xf3},
  {0x8c, 0xe8, 0xf3},
  {0x8b, 0xe8, 0xf3},
  {0x8a, 0xe8, 0xf3},
  {0x8a, 0xe8, 0xf3},
  {0x89, 0xe8, 0xf3},
  {0x88, 0xe8, 0xf3},
  {0x87, 0xe7, 0xf2},
  {0x87, 0xe7, 0xf2},
  {0x86, 0xe6, 0xf2},
  {0x85, 0xe6, 0xf2},
  {0x84, 0xe5, 0xf2},
  {0x84, 0xe5, 0xf2},
  {0x83, 0xe5, 0xf2},
  {0x82, 0xe5, 0xf2},
  {0x81, 0xe4, 0xf2},
  {0x81, 0xe4, 0xf2},
  {0x80, 0xe4, 0xf2},
  {0x80, 0xe4, 0xf2},
  {0x7f, 0xe3, 0xf2},
  {0x7e, 0xe3, 0xf2},
  {0x7d, 0xe3, 0xf2},
  {0x7c, 0xe3, 0xf2},
  {0x7b, 0xe2, 0xf1},
  {0x7a, 0xe2, 0xf1},
  {0x79, 0xe2, 0xf1},
  {0x79, 0xe2, 0xf1},
  {0x78, 0xe1, 0xf1},
  {0x77, 0xe1, 0xf1},
  {0x76, 0xe1, 0xf1},
  {0x75, 0xe1, 0xf1},
  {0x74, 0xe1, 0xf1},
  {0x73, 0xe0, 0xf1},
  {0x72, 0xe0, 0xf1},
  {0x71, 0xe0, 0xf1},
  {0x70, 0xe0, 0xf1},
  {0x6f, 0xdf, 0xf1},
  {0x6f, 0xdf, 0xf1},
  {0x6e, 0xde, 0xf1},
  {0x6d, 0xde, 0xf1},
  {0x6c, 0xdd, 0xf0},
  {0x6b, 0xdd, 0xf0},
  {0x6b, 0xdd, 0xf0},
  {0x6a, 0xdd, 0xf0},
  {0x69, 0xdc, 0xf0},
  {0x68, 0xdc, 0xf0},
  {0x67, 0xdc, 0xf0},
  {0x66, 0xdc, 0xf0},
  {0x65, 0xdb, 0xf0},
  {0x64, 0xdb, 0xf0},
  {0x63, 0xda, 0xf0},
  {0x62, 0xda, 0xf0},
  {0x61, 0xd9, 0xf0},
  {0x60, 0xd9, 0xf0},
  {0x60, 0xd9, 0xf0},
  {0x5f, 0xd9, 0xf0},
  {0x5e, 0xd9, 0xf0},
  {0x5d, 0xd8, 0xef},
  {0x5c, 0xd8, 0xef},
  {0x5b, 0xd7, 0xef},
  {0x5a, 0xd7, 0xef},
  {0x59, 0xd6, 0xef},
  {0x58, 0xd6, 0xef},
  {0x57, 0xd6, 0xef},
  {0x56, 0xd6, 0xef},
  {0x55, 0xd5, 0xef},
  {0x54, 0xd5, 0xef},
  {0x54, 0xd5, 0xef},
  {0x53, 0xd5, 0xef},
  {0x52, 0xd4, 0xef},
  {0x51, 0xd4, 0xef},
  {0x50, 0xd3, 0xef},
  {0x50, 0xd3, 0xef},
  {0x4f, 0xd2, 0xef},
  {0x4e, 0xd2, 0xef},
  {0x4d, 0xd2, 0xef},
  {0x4c, 0xd2, 0xef},
  {0x4b, 0xd2, 0xef},
  {0x4a, 0xd1, 0xef},
  {0x49, 0xd0, 0xef},
  {0x48, 0xd0, 0xef},
  {0x47, 0xcf, 0xef},
  {0x46, 0xcf, 0xef},
  {0x45, 0xcf, 0xef},
  {0x44, 0xcf, 0xef},
  {0x43, 0xcf, 0xef},
  {0x42, 0xce, 0xef},
  {0x42, 0xce, 0xef},
  {0x41, 0xce, 0xef},
  {0x40, 0xce, 0xef},
  {0x3f, 0xcd, 0xef},
  {0x3e, 0xcd, 0xef},
  {0x3e, 0xcc, 0xef},
  {0x3d, 0xcc, 0xef},
  {0x3c, 0xcb, 0xef},
  {0x3b, 0xcb, 0xef},
  {0x3a, 0xca, 0xef},
  {0x39, 0xca, 0xef},
  {0x38, 0xc9, 0xef},
  {0x37, 0xc9, 0xef},
  {0x36, 0xc9, 0xef},
  {0x35, 0xc9, 0xef},
  {0x34, 0xc9, 0xef},
  {0x33, 0xc8, 0xef},
  {0x32, 0xc8, 0xef},
  {0x32, 0xc7, 0xef},
  {0x31, 0xc6, 0xef},
  {0x30, 0xc6, 0xef},
  {0x2f, 0xc6, 0xef},
  {0x2e, 0xc6, 0xef},
  {0x2d, 0xc6, 0xef},
  {0x2c, 0xc5, 0xef},
  {0x2b, 0xc5, 0xef},
  {0x2a, 0xc4, 0xef},
  {0x29, 0xc4, 0xef},
  {0x28, 0xc3, 0xef},
  {0x28, 0xc3, 0xef},
  {0x27, 0xc2, 0xef},
  {0x27, 0xc2, 0xef},
  {0x26, 0xc1, 0xef},
  {0x25, 0xc1, 0xef},
  {0x24, 0xc0, 0xef},
  {0x23, 0xc0, 0xef},
  {0x22, 0xbf, 0xef},
  {0x21, 0xbf, 0xef},
  {0x20, 0xbe, 0xef},
  {0x20, 0xbe, 0xef},
  {0x1f, 0xbd, 0xef},
  {0x1e, 0xbd, 0xef},
  {0x1e, 0xbc, 0xef},
  {0x1d, 0xbc, 0xef},
  {0x1c, 0xbc, 0xef},
  {0x1b, 0xbb, 0xef},
  {0x1b, 0xbb, 0xef},
  {0x1a, 0xba, 0xef},
  {0x19, 0xba, 0xef},
  {0x18, 0xb9, 0xef},
  {0x18, 0xb9, 0xef},
  {0x17, 0xb9, 0xef},
  {0x16, 0xb9, 0xef},
  {0x15, 0xb8, 0xef},
  {0x15, 0xb7, 0xef},
  {0x14, 0xb6, 0xef},
  {0x14, 0xb6, 0xef},
  {0x13, 0xb5, 0xef},
  {0x12, 0xb5, 0xef},
  {0x11, 0xb5, 0xf0},
  {0x11, 0xb5, 0xf0},
  {0x10, 0xb4, 0xf0},
  {0x0f, 0xb3, 0xf0},
  {0x0e, 0xb3, 0xf0},
  {0x0e, 0xb2, 0xf0},
  {0x0d, 0xb2, 0xf0},
  {0x0c, 0xb1, 0xf0},
  {0x0c, 0xb1, 0xf0},
  {0x0b, 0xb1, 0xf0},
  {0x0a, 0xb0, 0xf0},
  {0x09, 0xaf, 0xf0},
  {0x09, 0xaf, 0xf0},
  {0x08, 0xae, 0xf0},
  {0x08, 0xae, 0xf0},
  {0x07, 0xad, 0xf0},
  {0x07, 0xad, 0xf0},
  {0x06, 0xac, 0xf0},
  {0x06, 0xac, 0xf0},
  {0x05, 0xab, 0xf0},
  {0x05, 0xab, 0xf0},
  {0x04, 0xaa, 0xf0},
  {0x04, 0xaa, 0xf0},
  {0x03, 0xa9, 0xf0},
  {0x03, 0xa9, 0xf0},
  {0x02, 0xa8, 0xf1},
  {0x02, 0xa8, 0xf1},
  {0x01, 0xa7, 0xf1},
  {0x01, 0xa7, 0xf1},
  {0x01, 0xa6, 0xf1},
  {0x01, 0xa6, 0xf1},
  {0x00, 0xa5, 0xf1},
  {0x00, 0xa5, 0xf1},
  {0x00, 0xa4, 0xf1},
  {0x00, 0xa4, 0xf1},
  {0x00, 0xa4, 0xf1},
  {0x00, 0xa3, 0xf1},
  {0x00, 0xa3, 0xf1},
  {0x00, 0xa2, 0xf1},
  {0x00, 0xa2, 0xf1},
  {0x00, 0xa1, 0xf1},
  {0x00, 0xa1, 0xf1},
  {0x00, 0xa0, 0xf2},
  {0x00, 0x9f, 0xf2},
  {0x00, 0x9e, 0xf2},
  {0x00, 0x9e, 0xf2},
  {0x00, 0x9d, 0xf2},
  {0x00, 0x9d, 0xf2},
  {0x00, 0x9c, 0xf2},
  {0x00, 0x9c, 0xf2},
  {0x00, 0x9b, 0xf2},
  {0x00, 0x9b, 0xf2},
  {0x00, 0x9a, 0xf2},
  {0x00, 0x9a, 0xf2},
  {0x00, 0x99, 0xf2},
  {0x00, 0x99, 0xf2},
  {0x00, 0x98, 0xf2},
  {0x00, 0x98, 0xf2},
  {0x00, 0x98, 0xf2},
  {0x00, 0x97, 0xf3},
  {0x00, 0x96, 0xf3},
  {0x00, 0x95, 0xf3},
  {0x00, 0x95, 0xf3},
  {0x00, 0x94, 0xf3},
  {0x00, 0x94, 0xf3},
  {0x00, 0x93, 0xf3},
  {0x00, 0x93, 0xf3},
  {0x00, 0x92, 0xf3},
  {0x00, 0x92, 0xf3},
  {0x00, 0x91, 0xf3},
  {0x00, 0x91, 0xf3},
  {0x00, 0x90, 0xf3},
  {0x00, 0x90, 0xf3},
  {0x00, 0x8f, 0xf3},
  {0x00, 0x8f, 0xf3},
  {0x00, 0x8e, 0xf4},
  {0x00, 0x8e, 0xf4},
  {0x00, 0x8d, 0xf4},
  {0x00, 0x8c, 0xf4},
  {0x00, 0x8b, 0xf4},
  {0x00, 0x8b, 0xf4},
  {0x00, 0x8a, 0xf4},
  {0x00, 0x8a, 0xf4},
  {0x00, 0x8a, 0xf4},
  {0x00, 0x89, 0xf5},
  {0x00, 0x89, 0xf5},
  {0x00, 0x88, 0xf5},
  {0x00, 0x88, 0xf5},
  {0x00, 0x87, 0xf5},
  {0x00, 0x86, 0xf5},
  {0x00, 0x85, 0xf5},
  {0x00, 0x85, 0xf5},
  {0x00, 0x84, 0xf5},
  {0x00, 0x84, 0xf5},
  {0x00, 0x83, 0xf5},
  {0x00, 0x83, 0xf5},
  {0x00, 0x82, 0xf6},
  {0x00, 0x82, 0xf6},
  {0x00, 0x81, 0xf6},
  {0x00, 0x80, 0xf6},
  {0x00, 0x7f, 0xf6},
  {0x00, 0x7f, 0xf6},
  {0x00, 0x7e, 0xf6},
  {0x00, 0x7d, 0xf6},
  {0x00, 0x7c, 0xf6},
  {0x00, 0x7c, 0xf6},
  {0x00, 0x7b, 0xf6},
  {0x00, 0x7b, 0xf6},
  {0x00, 0x7b, 0xf6},
  {0x00, 0x7a, 0xf7},
  {0x00, 0x79, 0xf7},
  {0x00, 0x78, 0xf7},
  {0x00, 0x78, 0xf7},
  {0x00, 0x77, 0xf7},
  {0x00, 0x76, 0xf7},
  {0x00, 0x75, 0xf7},
  {0x00, 0x75, 0xf7},
  {0x00, 0x74, 0xf7},
  {0x00, 0x73, 0xf7},
  {0x00, 0x72, 0xf7},
  {0x00, 0x72, 0xf7},
  {0x00, 0x71, 0xf7},
  {0x00, 0x71, 0xf7},
  {0x00, 0x70, 0xf7},
  {0x00, 0x70, 0xf7},
  {0x00, 0x6f, 0xf8},
  {0x00, 0x6f, 0xf8},
  {0x00, 0x6e, 0xf8},
  {0x00, 0x6d, 0xf8},
  {0x00, 0x6c, 0xf8},
  {0x00, 0x6c, 0xf8},
  {0x00, 0x6b, 0xf8},
  {0x00, 0x6a, 0xf8},
  {0x00, 0x6a, 0xf8},
  {0x00, 0x69, 0xf8},
  {0x00, 0x68, 0xf8},
  {0x00, 0x67, 0xf8},
  {0x00, 0x67, 0xf8},
  {0x00, 0x66, 0xf8},
  {0x00, 0x65, 0xf8},
  {0x00, 0x64, 0xf8},
  {0x00, 0x64, 0xf8},
  {0x00, 0x63, 0xf9},
  {0x00, 0x63, 0xf9},
  {0x00, 0x62, 0xf9},
  {0x00, 0x61, 0xf9},
  {0x00, 0x61, 0xf9},
  {0x00, 0x60, 0xf9},
  {0x00, 0x5f, 0xf9},
  {0x00, 0x5f, 0xf9},
  {0x00, 0x5e, 0xf9},
  {0x00, 0x5e, 0xf9},
  {0x00, 0x5d, 0xf9},
  {0x00, 0x5c, 0xf9},
  {0x00, 0x5b, 0xf9},
  {0x00, 0x5b, 0xf9},
  {0x00, 0x5a, 0xf9},
  {0x00, 0x59, 0xf9},
  {0x00, 0x58, 0xfa},
  {0x00, 0x58, 0xfa},
  {0x00, 0x58, 0xfa},
  {0x00, 0x57, 0xfa},
  {0x00, 0x57, 0xfa},
  {0x00, 0x56, 0xfa},
  {0x00, 0x56, 0xfa},
  {0x00, 0x55, 0xfa},
  {0x00, 0x55, 0xfa},
  {0x00, 0x54, 0xfa},
  {0x00, 0x54, 0xfa},
  {0x00, 0x53, 0xfa},
  {0x00, 0x53, 0xfa},
  {0x00, 0x52, 0xfa},
  {0x00, 0x52, 0xfa},
  {0x00, 0x51, 0xfa},
  {0x00, 0x51, 0xfa},
  {0x00, 0x51, 0xfa},
  {0x00, 0x51, 0xfa},
  {0x00, 0x50, 0xfa},
  {0x00, 0x50, 0xfa},
  {0x00, 0x50, 0xfa},
  {0x00, 0x50, 0xfa},
  {0x00, 0x50, 0xfa},
  {0x00, 0x50, 0xfa}
};

static const int ColorPaletteSize = sizeof(ColorPalette) / 3;
